curl --request POST \
--url https://api.goevery.co/v1/quotes \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"origin": "locations/CO-54003000",
"destination": "locations/CO-11001000",
"package": {
"declaredValueCents": 4500000,
"dimensions": {
"lengthCm": 10,
"widthCm": 20,
"heightCm": 15
},
"weightKg": 2,
"contentDescription": "Shoes"
},
"cashOnDeliveryRequestCents": 8900000,
"order": "orders/66d86d4b05a7d437ac6c5379"
}
'import requests
url = "https://api.goevery.co/v1/quotes"
payload = {
"origin": "locations/CO-54003000",
"destination": "locations/CO-11001000",
"package": {
"declaredValueCents": 4500000,
"dimensions": {
"lengthCm": 10,
"widthCm": 20,
"heightCm": 15
},
"weightKg": 2,
"contentDescription": "Shoes"
},
"cashOnDeliveryRequestCents": 8900000,
"order": "orders/66d86d4b05a7d437ac6c5379"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
origin: 'locations/CO-54003000',
destination: 'locations/CO-11001000',
package: {
declaredValueCents: 4500000,
dimensions: {lengthCm: 10, widthCm: 20, heightCm: 15},
weightKg: 2,
contentDescription: 'Shoes'
},
cashOnDeliveryRequestCents: 8900000,
order: 'orders/66d86d4b05a7d437ac6c5379'
})
};
fetch('https://api.goevery.co/v1/quotes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"name": "quotes/669838849afe8a9d48db1c1e",
"createTime": "2024-07-17T21:32:52.478Z",
"updateTime": "2024-07-17T21:32:52.478Z",
"origin": "locations/CO-54003000",
"destination": "locations/CO-11001000",
"package": {
"declaredValueCents": 4500000,
"dimensions": {
"lengthCm": 10,
"widthCm": 20,
"heightCm": 15
},
"weightKg": 2,
"contentDescription": "Shoes"
},
"cashOnDeliveryRequestCents": 8900000,
"offers": [
{
"courier": "couriers/coordinadora",
"shipmentCostCents": 1430000,
"returnShipmentCostCents": 930000,
"deliveryMinutes": 1400
}
],
"order": "orders/66d86d4b05a7d437ac6c5379"
}Create Quote
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
The resource name of the origin location.
96"locations/CO-54003000"
The resource name of the destination location.
96"locations/CO-11001000"
Details of the package to be quoted.
Show child attributes
Show child attributes
The amount to be collected on delivery in cents.
x >= 08900000
The unique identifier for the order associated with the shipment.
"orders/66d86d4b05a7d437ac6c5379"
Response
Successfully created a quote.
The unique identifier for the quote.
"quotes/669838849afe8a9d48db1c1e"
The timestamp when the quote was created.
"2024-07-17T21:32:52.478Z"
The timestamp when the quote was last updated.
"2024-07-17T21:32:52.478Z"
The resource name of the origin location.
96"locations/CO-54003000"
The resource name of the destination location.
96"locations/CO-11001000"
Details of the package to be quoted.
Show child attributes
Show child attributes
The amount to be collected on delivery in cents.
x >= 08900000
An array of offers from courier services.
Show child attributes
Show child attributes
The unique identifier for the order associated with the shipment.
"orders/66d86d4b05a7d437ac6c5379"